ServiceXFRErrorEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.dsmcc
Class ServiceXFRErrorEvent

    java.lang.Object
      java.util.EventObject
          org.dvb.dsmcc.AsynchronousLoadingEvent
              org.dvb.dsmcc.ServiceXFRErrorEvent

All Implemented Interfaces:
  Serializable

    public class ServiceXFRErrorEvent

extends AsynchronousLoadingEvent

The object requested is available in an alternate ServiceDomain. When an application attempts to asynchronously load an object that has itself a LiteOptionProfileBody IOR or that has a parent directory that has a LiteOptionProfileBody IOR, this event shall be sent to the application. There is no implicit mounting by the implementation of the carousel that actually contains the object. This event is not sent if the Service Domain that actually contains the DSMCCObject is already mounted.

See Also:
  Serialized Form

Constructor Summary
`ServiceXFRErrorEvent(DSMCCObject o, ServiceXFRReference ref)` Creates a ServiceXFRErrorEvent object.

Method Summary
`ServiceXFRReference` | `getServiceXFR()` This method is used to get a reference to the service domain that contains the requested object.
`Object` | `getSource()` Returns the DSMCCObject that generated the event.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceXFRErrorEvent

    public ServiceXFRErrorEvent(DSMCCObject o,
                                ServiceXFRReference ref)

  Creates a ServiceXFRErrorEvent object.

  Parameters:
    `o` - the DSMCCObject that generated the event.
    `ref` - the address of an alternate ServiceDomain where the object can be found.

Method Detail

### getSource

    public Object getSource()

  Returns the DSMCCObject that generated the event.

  Overrides:
    `getSource` in class `AsynchronousLoadingEvent`
  Returns:
    the DSMCCObject that generated the event.

### getServiceXFR

    public ServiceXFRReference getServiceXFR()

  This method is used to get a reference to the service domain that contains the requested object.

  Returns:
    The address of an alternate ServiceDomain where the object can be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD